OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
ComputePolygons< TreeType, PrimBuilder > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | Int16TreeType = typename TreeType::template ValueConverter< Int16 >::Type
using | Int16LeafNodeType = typename Int16TreeType::LeafNodeType
using | Index32TreeType = typename TreeType::template ValueConverter< Index32 >::Type
using | Index32LeafNodeType = typename Index32TreeType::LeafNodeType

## Public Member Functions
| ComputePolygons (const std::vector< Int16LeafNodeType *> &signFlagsLeafNodes, const Int16TreeType &signFlagsTree, const Index32TreeType &idxTree, PolygonPoolList &polygons, bool invertSurfaceOrientation)
void | setRefSignTree (const Int16TreeType *r)
void | operator() (const tbb::blocked_range< size_t > &) const

## Member Typedef Documentation

## ◆ Index32LeafNodeType

using Index32LeafNodeType = typename Index32TreeType::LeafNodeType

## ◆ Index32TreeType

using Index32TreeType = typename TreeType::template ValueConverter<Index32>::Type

## ◆ Int16LeafNodeType

using Int16LeafNodeType = typename Int16TreeType::LeafNodeType

## ◆ Int16TreeType

using Int16TreeType = typename TreeType::template ValueConverter<Int16>::Type

## Constructor & Destructor Documentation

## ◆ ComputePolygons()

ComputePolygons | ( | const std::vector< Int16LeafNodeType *> & | signFlagsLeafNodes,
|  | const Int16TreeType & | signFlagsTree,
|  | const Index32TreeType & | idxTree,
|  | PolygonPoolList & | polygons,
|  | bool | invertSurfaceOrientation
| ) |  |

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

## ◆ setRefSignTree()

void setRefSignTree | ( | const Int16TreeType * | r | ) |
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h